Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Проблемы с установкой Eclipse Europe & PDT (для php)  (Прочитано 2562 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн CyberFox

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
1. Скачал файл pdt-all-in-one-1.0-R20070917-linux-gtk.tar.gz, в котором eclipse с у становленным pdt и всеми зависимостями.
2. Распоковал его и запускаю Eclipse. И на этапе загрузке расширений Eclipse выдает такое сообщение
Цитировать
Could not find a valid configuration for intro Part: intro element" in extension:
org.eclipse.ui.intro in Bundle: org.eclipse.ui.universal
Check Error Log View for Details.

3. Далее Eclipse догружается и перспективы для php нет :(
4. Искал мистический "Error Log" и не нашел.
Скачал аналогичный файл для винды - всё запустилось и шустро работает.

Вопросы: Как заставить работать Eclipse Europe+PDT под Linux, так как под неё и мигрирую? Как оптимизировать работу Java (чтобы всё шустро было)?
Система: Kubuntu 7.04, Java установлена.

Оффлайн mr.huNTer

  • Участник
  • *
  • Сообщений: 141
  • linux rocks
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #1 : 20 Октябрь 2007, 20:10:57 »
Жаба от Sun или GNU? У меня работает идеально, но с sun-java6-jre

Оффлайн CyberFox

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #2 : 23 Октябрь 2007, 17:45:23 »
А как это можно узнать?
Я вроде ставил java со стороннего пакета какого-то (его уже не найти).

 
Цитировать
$ gij --version
java version "1.4.2"
gij (GNU libgcj) version 4.1.2 (Ubuntu 4.1.2-0ubuntu5)

Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


Я так понимаю, от GNU.

Оффлайн dmig

  • Старожил
  • *
  • Сообщений: 1668
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #3 : 29 Октябрь 2007, 17:12:13 »
ставишь пакет sun-java6-jre и не паришься. работает быстро и без проблем. пользуюсь pdt уже год.

Оффлайн root@

  • Новичок
  • *
  • Сообщений: 13
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #4 : 13 Ноябрь 2007, 12:05:19 »
Проблема актуальна! По данной в форуме инструкции скачал пакет установил  jre и
получил отсутствие перестективы php. Ошибок не валится. xubuntu 7.04
Дома ubuntu 7.10 и ставил пакет с дебаггером - встало нормально , хотя немого ругалось в начале.
Мистика.
Эклипс без пхп мне не нужен, снести его тоже не получается - он пишет про кактой то эклипсовый пакет в файле deb которого поиском файла найти не представляется возможным.

Оффлайн dmig

  • Старожил
  • *
  • Сообщений: 1668
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #5 : 13 Ноябрь 2007, 14:35:18 »
я взял эклипс с http://www.eclipse.org/pdt/ и распаковал в ~, из репозиториев его не ставил. работает без вопросов.

Оффлайн root@

  • Новичок
  • *
  • Сообщений: 13
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #6 : 13 Ноябрь 2007, 15:23:36 »
это  тоже пробовал ставить в первую очередь... интересно. что он пишет  то про эклипс 3.2 то про эклипс европу
версии то разные...
я ничего не понимаю уже

Оффлайн dmig

  • Старожил
  • *
  • Сообщений: 1668
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #7 : 13 Ноябрь 2007, 15:31:52 »
удали эклипс из репозиториев, вычисти его конфиги (в них проблема) и ставь тот что с сайта.

Оффлайн windoctor

  • Новичок
  • *
  • Сообщений: 31
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #8 : 14 Ноябрь 2007, 02:10:34 »
Цитировать
удали эклипс из репозиториев
Ну зачем так радикально =) У меня стоит из репозитария и всё работает на ура =)
Вероятней всего товарищу просто в конфиге надо прописать путь до нормальной ява машины, а не встроенной  :)

Оффлайн CyberFox

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Проблемы с установкой Eclipse Europe & PDT (для php)
« Ответ #9 : 15 Ноябрь 2007, 01:07:05 »
ставишь пакет sun-java6-jre и не паришься. работает быстро и без проблем. пользуюсь pdt уже год.

Спасибо это и помогло. Я забыл, что у меня есть репозитории от 6.10. Подключил их, и установиль sun-java6-jdk. Теперь радуюсь :). Думаю тему можно закрывать.


 

Страница сгенерирована за 0.058 секунд. Запросов: 24.